<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	
	int seqRunId = Values.getInt(request.getParameter("seqrun"));
	String readString = Values.getStringOrNull(request.getParameter("readString"));
	String omitLanes = Values.getStringOrNull(request.getParameter("omitLanes"));
%>
<base:page type="popup" title="Check data files">
<base:head 
	scripts="~check_data_files.js,~../reggie-2.js" 
	styles="path.css,~../css/reggie-2.css"
>
<style>

#lanes-section tr
{
	vertical-align: baseline;
}

#lanes-section .status
{
	width: 20px;
	max-width: 20px;
	min-width: 20px;
	background-repeat: no-repeat;
	background-position: 50% 2px;
}

#lanes-section .status.checking
{
	background-image: url('../images/loading-small.gif');
}

#lanes-section .checking .message
{
	font-weight: bold;
	font-style: italic;
	color: #999999;
}

#lanes-section .status.valid
{
	background-image: url('../images/ok.png');
}

#lanes-section .status.warning
{
	background-image: url('../images/warning.png');
}

#lanes-section .status.invalid
{
	background-image: url('../images/error.png');
	color: #CC0000;
}

#lanes-section .invalid .message
{
	color: #CC0000;
	max-height: 5em;
	overflow: auto;
	white-space: pre-wrap;
	border-bottom: 1px solid #A0A0A0;
}


</style>
</base:head>
<base:body>
	<h1>Check data files</h1>

	<div id="page-data" class="datacontainer"
		data-seqrun-id="<%=seqRunId%>"
		data-omit-lanes="[<%=omitLanes == null ? "" : omitLanes%>]"
	></div>
	
	<form name="reggie" id="wizard" class="wizard">
	<div class="content bottomborder">
		<table class="fullform input100">
		<tr>
			<th>Sequencing run</th>
			<td colspan="2">
				<span id="sequencingrun"></span>, <b>Flow cell:</b> <span id="flowCellId"></span> (<span id="flowCellType"></span>)
			</td>
		</tr>
		<tr>
			<th>Data files folder</th>
			<td id="dataFilesFolder" colspan="2"></td>
		</tr>
		<tr>
			<th>Program</th>
			<td colspan="2">
				<label><input type="radio" name="program" value="picard" checked id="picard">Picard CheckIlluminaDirectory</label><br>
				<label><input type="radio" name="program" value="genseq" id="genseq">genseq_check_illumina_dir.pl</label> (only for NextSeq or HiSeq data)<br>
			</td>
		</tr>
		<tr>
			<th>ReadString</th>
			<td colspan="2">
				<input type="text" name="readString" id="readString" class="text required" 
					value="<%=HTML.encodeTags(readString) %>"
					style="width: 15em;">
				(<span id="sequencingCycles"></span>)
			</td>
		</tr>
		<tr>
			<th>Cluster node</th>
			<td colspan="2">
				<table>
				<tr>
					<td><select name="clusters" id="clusters" class="required" style="min-width: 15em; margin-right: 1em;"></select></td>
					<td>
						<base:button id="check" title="Check selected lanes" style="display: none;" image="<%=home+"/images/validate.png"%>" />
					</td>
				</table>
			</td>
		</tr>
		
		<tbody id="lanes-section"></tbody>
		
		<tr class="dynamic">
			<th></th>
			<td colspan="2">
				<div id="wizard-status"></div>
			</td>
		</tr>
		</table>
	</div>
	</form>
	
	<base:buttongroup subclass="dialogbuttons" id="dialogbuttons">
		<base:button id="close" title="Close" />
	</base:buttongroup>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>